Ellipsis APIReferenceDefault agents

Put Agent Default

Set a default config, at the account rung (repository omitted) or a repository rung ("owner/name"). Refused for sandbox tokens (potentially prompt-injected code must not repoint the account's ambient default); an unknown or foreign repository is a 404.

PUT
/v1/defaults

Set a default config, at the account rung (repository omitted) or a repository rung ("owner/name").

Refused for sandbox tokens (potentially prompt-injected code must not repoint the account's ambient default); an unknown or foreign repository is a 404.

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Header Parameters

user-agent?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Parameters for setting a default agent config, at either the account or the repository level.

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/defaults" \  -H "Content-Type: application/json" \  -d '{    "config_id": "string"  }'
{  "broken": "config_deleted",  "config_id": "string",  "config_name": "string",  "id": "string",  "repository": "string",  "updated_at": "2019-08-24T14:15:22Z"}